{...}: {
  # key remapping
  jade.input.remapping = let
    default = {
      swapKeys = [
        ["KEY_Y" "KEY_Z"]
        ["KEY_LEFTALT" "KEY_LEFTMETA"]
      ];
      dual_role = [
        {
          input = "KEY_CAPSLOCK";
          hold = ["KEY_LEFTCTRL"];
          tap = ["KEY_ESC"];
        }
      ];
    };
  in {
    enable = true;
    devices."AT Translated Set 2 keyboard" = default;
    devices."Razer Razer Huntsman" = default;
    devices."Razer Razer DeathAdder V2" = default;
  };

  hardware.trackpoint = {
    enable = true;
    device = "TPPS/2 IBM TrackPoint";
    sensitivity = 256;
  };
}
